<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Books</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='styles/styles.css') }}">
<!--    <style>-->
<!--        select {display:block; float:left; width:200px; margin:0 20px;}-->
<!--    </style>-->
</head>
<body class="page page--books">
<div >
    <div align="center">
        <nav> 
          <a href="/create/author">ADD AUTHOR</a>
          <a href="/create/genre/">ADD GENRE</a>
          <a href="/create/book/">ADD BOOK</a>
        </nav>
    </div>
    <br>

<div align="center">
    <form action="/" method="get">
        <select name="genre" id="genre_tag">
            <option selected value="ALL">GENRE</option>
            <option>ALL</option>
            {% for genres in genre.keys() %}
                <option>{{genres}}</option>
            {% endfor %}
        </select>

        <select name="year" id="year_tag">
            <option selected value="ALL">YEAR</option>
            <option>ALL</option>
                {% for years in year %}
            <option>{{years}}</option>
        {% endfor %}
        </select>
        <button type="submit">Check</button>
</form>
</div>
<br>
    <h1 style="color:#000000" align="center" >Books list</h1>
<h1>
    <table class="books_table" border = "1" align="center" >
        <tr>
            <th>Update</th>
            <th>№:</th>
            <th>Author</th>
            <th>Book Title</th>
            <th>Genre</th>
            <th>Year</th>          
        </tr>
        {% for book in books %}
            <tr align="center">
                <td><a href="/update/book/{{book.id}}/">Click</a></td>
                <td>{{loop.index}}</td>
                <td >{{book.author_obj.name}}</td>
                <td>{{book.name}}</td>
                <td>{{book.genre_obj.name}}</td>
                <td>{{book.year}}</td>
            </tr>
        {% endfor %}
    </table>
</div>
</body>
</html>